import { AbstractApplicationDataSource } from '@crosslab/service-common';
import { config } from '../config.js';
import { InstitutionRepository } from './repositories/institution.js';
class ApplicationDataSource extends AbstractApplicationDataSource {
    repositories;
    constructor(options) {
        super(options);
        this.repositories = this.createRepositories();
    }
    createRepositories() {
        const institutionRepository = new InstitutionRepository();
        return {
            institution: institutionRepository,
        };
    }
}
export const AppDataSource = new ApplicationDataSource(config.orm);
export const repositories = AppDataSource.repositories;
export const dataSource = AppDataSource.dataSource;
//# sourceMappingURL=dataSource.js.map